Supported Applications

Applies to TestLeft 4.72, last modified on December 21, 2020

Below is a list of development tools, software platforms, and application types for which TestLeft provides support.

Desktop

All existing .NET compilers. For instance:
  • Microsoft: Visual C#, Visual Basic .NET and Visual C++ .NET (managed code) ver. 7.0 - 16.0, JScript .NET

    Note: Visual Studio ver. 8.0 only with Service Pack 1 installed
  • Non-Microsoft: Borland C#Builder, Borland Delphi for .NET (Delphi 8, Delphi 2005 and 2006), CodeGear Delphi 2007 for .NET, Sybase PowerBuilder .NET 12, Python .NET, Cobol .NET, and others

Applications created for .NET Framework ver. 2.0 - 4.7.1

Microsoft Visual C++ (unmanaged code) ver. 7.0 - 16.0 (Visual Studio ver. 8.0 only with Service Pack 1 installed)
Intel C++ Compiler 11.0.066
64-bit .NET, Delphi, Java, Windows and Qt applications
Microsoft Visual Basic 6.0
Embarcadero Delphi 10 - 10.4,
Embarcadero Delphi XE – XE8, 2010,
CodeGear Delphi 2007 and 2009,
Delphi 2005 and 2006,
Borland Delphi 7.0
Embarcadero C++Builder 10 - 10.4,
XE – XE8, 2010,
CodeGear C++Builder 2007 and 2009,
C++Builder 2006,
Borland C++Builder
TestLeft only supports Delphi and C++Builder applications that use VCL and CLX or third-party VCL- and CLX-based controls.

TestLeft does not support applications built by using cross-platform GUI frameworks that render the application controls as graphic (for example, Embarcadero FireMonkey).

Java 5 - 11 applications that use the AWT, SWT or Swing library.
Both 32-bit and 64-bit Java versions are supported.
Testing Oracle Forms applications running with Java 9 is not supported.
JavaFX SDK ver. 2.2.7 - 2.2.45, 8, 9.
Qt ver. 5.0 - 5.9 by Digia, Qt (32-bit and 64-bit Qt applications are supported).
You can also download specific modules that provide support for earlier Qt versions from our web site:

https://support.smartbear.com/downloads/testcomplete/qt-modules/

Oracle Forms Builder 11g and 12c
Sybase PowerBuilder 12.0, 12.5, 12.5.2 and 12.6
Microsoft Visual FoxPro 7.0 and later
Microsoft Office Access 2003 and 2007
Microsoft Office InfoPath 2003 and 2007

Web

Browsers
Microsoft Edge (both 32-bit and 64-bit versions)
Microsoft Internet Explorer 11 (both 32-bit and 64-bit versions)
Note: The Modern UI (Metro) version of Internet Explorer 11 is not currently supported.
Google Chrome 87 (both 32- and 64-bit versions)
If you have a TestLeft version earlier than 2.42, your version of the SmartBear Test Extension will be incompatible with newer versions of the Chrome web browser. To test web applications in Chrome 87, you will have to upgrade your TestLeft version to 2.60 or later.
Note: Chrome running in Modern UI (Metro) mode is currently not supported.
Mozilla Firefox 78 ESR, 79 - 84 (both 32- and 64-bit versions)
Applications with an embedded Microsoft WebBrowser control
.NET, Java and native applications (C++, Delphi and others) that use Chromium Embedded Framework (CEF) version 85.0.4183 and earlier
Note: If you use WPF controls in your CEF applications, supported versions will be 84.0.4147 and earlier.
Applications created with Electron version 1.8.2, 2.0.2, 3.0.2, 4.0.2, 5.0.0, 6.0.0, 6.1, 7.0.0, 7.1, 8.0 - 8.1, 9.2.0, 10.1.0
EO WinForms and EO WPF applications created with EO.WebBrowser version 2019.0.69.0

Note: New versions of Firefox and Chrome are released frequently.

You can download the updates from the SmartBear web site:

You can also check for updates automatically. See Web Browser Updates for details.

Web Components Specifications
  • Shadow DOM

    Note: Only open shadow trees are supported.

  • Custom Elements

Web Application Frameworks
AngularJS
ASP.NET (including Web Forms, Web Pages, and MVC)
Backbone.js
Bootstrap 3.3.4 and 3.3.5
Google Web Toolkit (GWT) 2.0 - 2.4, 2.5.1, 2.6.0, 2.6.1, 2.7.0
jQuery UI 1.8.13 - 1.8.20, 1.9.2, 1.10.2 - 1.10.4, 1.11.1, 1.11.2, and 1.11.4
jQuery Mobile 1.4.2, 1.4.3, 1.4.4, 1.4.5
MooTools 1.4.0.1, 1.5.1, 1.5.2, 1.6.0
Ruby on Rails
Sencha Ext JS 4.1.1a, 4.2.x, 5.0.x, 5.1.x, 6.0.0, 6.0.1, 6.0.2
Yahoo! UI 2.9.0, 3.4.1 - 3.18.1
Rich Internet Application Frameworks
Adobe Flash 9.0 - 17.0
Adobe Flex 3.3 - 4.6 SDK
Apache Flex 4.9 - 4.14 SDK
Adobe AIR 2, 3 and 17 SDK
Microsoft Silverlight 4 and 5

See Also

Introducing TestLeft

Highlight search results